Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_alb
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_alb	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_alb	(revision 2282)
@@ -1,9 +1,9 @@
 !-----------------------------------------------------------------------
-&namalb        !   albedo parameters
+&namsbc_alb    !   albedo parameters
 !-----------------------------------------------------------------------
-   cgren       =    0.06   !  correction of the snow or ice albedo to take into account the
-   albice      =    0.5    !  albedo of melting ice in the arctic and antarctic
-   alphd       =    0.80   !  coefficients for linear interpolation used to
-   alphc       =    0.65   !  compute albedo between two extremes values 
-   alphdi      =    0.72   !  (Pyane, 1972)
+   rn_cloud    =    0.06   !  cloud correction to snow and ice albedo 
+   rn_albice   =    0.53   !  albedo of melting ice in the arctic and antarctic
+   rn_alphd    =    0.80   !  coefficients for linear interpolation used to
+   rn_alphc    =    0.65   !  compute albedo between two extremes values 
+   rn_alphdi   =    0.72   !  (Pyane, 1972)
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_clio
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_clio	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_clio	(revision 2282)
@@ -1,15 +1,14 @@
 !-----------------------------------------------------------------------
-&namsbc_clio              CLIO bulk formulea
+&namsbc_clio   !   namsbc_clio  CLIO bulk formulea
 !-----------------------------------------------------------------------
-!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
-!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
-   sn_utau      =    'taux_1m'       ,      -12.         , 'sozotaux' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_vtau      =    'tauy_1m'       ,      -12.         , 'sometauy' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_wndm      =    'flx'           ,      -12.         , 'socliowi' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_tair      =    'flx'           ,      -12.         , 'socliot1' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_humi      =    'flx'           ,      -12.         , 'socliohu' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_ccov      =    'flx'           ,      -12.         , 'socliocl' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_prec      =    'flx'           ,      -12.         , 'socliopl' ,     .false.        ,    1   ,    0     , ''       , ''
-
+!              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_utau     = 'taux_1m'    ,       -1.         , 'sozotaux' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_vtau     = 'tauy_1m'    ,       -1.         , 'sometauy' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_wndm     = 'flx'        ,       -1.         , 'socliowi' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_tair     = 'flx'        ,       -1.         , 'socliot2' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_humi     = 'flx'        ,       -1.         , 'socliohu' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_ccov     = 'flx'        ,       -1.         , 'socliocl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_prec     = 'flx'        ,       -1.         , 'socliopl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
 !
    cn_dir      = './'      !  root directory for the location of the bulk files are
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_core
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_core	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_core	(revision 2282)
@@ -2,17 +2,17 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulea
 !-----------------------------------------------------------------------
-!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
-   sn_wndi      =    'u10'           ,       24.         , 'U_10_MOD' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_wndj      =    'v10'           ,       24.         , 'V_10_MOD' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_qsr       =    'rad'           ,       24.         , 'SWDN_MOD' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_qlw       =    'rad'           ,       24.         , 'LWDN_MOD' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_tair      =    't10'           ,       24.         , 'T_10_MOD' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_humi      =    'q10'           ,       24.         , 'Q_10_MOD' ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_prec      =    'precip'        ,      -12.         , 'RAIN'     ,     .false.        ,    1   ,    0     , ''       , ''
-   sn_snow      =    'precip'        ,      -12.         , 'SNOW'     ,     .false.        ,    1   ,    0     , ''       , ''
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights              ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename             ! pairing  !
+   sn_wndi     = 'u10_core'   ,       -1.         , 'u10'      ,    .true.      , .true.  , 'yearly'  ,'bicubic_weights_orca2.nc' , 'U1'
+   sn_wndj     = 'v10_core'   ,       -1.         , 'v10'      ,    .true.      , .true.  , 'yearly'  ,'bicubic_weights_orca2.nc' , 'V1'
+   sn_qsr      = 'qsw_core'   ,       -1.         , 'swdn'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_qlw      = 'qlw_core'   ,       -1.         , 'lwdn'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_tair     = 't2_core'    ,       -1.         , 't2'       ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_humi     = 'q2_core'    ,       -1.         , 'q2'       ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_prec     = 'precip_core',       -1.         , 'precip'   ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
+   sn_snow     = 'snow_core'  ,       -1.         , 'snow'     ,    .true.      , .true.  , 'yearly'  ,'bilinear_weights_orca2.nc', ''
 !
    cn_dir      = './'      !  root directory for the location of the bulk files
-   ln_2m       = .false.   !  air temperature and humidity referenced at 2m (T) instead 10m (F)
-   alpha_precip= 1.        !  multiplicative factor for precipitation (total & snow)
+   ln_2m       = .true.    !  air temperature and humidity referenced at 2m (T) instead 10m (F)
+   rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_cpl
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_cpl	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_cpl	(revision 2282)
@@ -2,5 +2,5 @@
 &namsbc_cpl    !   coupled ocean/atmosphere model                        ("key_coupled")
 !-----------------------------------------------------------------------
-! SEND
+                                       ! send
 cn_snd_temperature= 'weighted oce and ice'  ! 'oce only' 'weighted oce and ice' 'mixed oce-ice'
 cn_snd_albedo     = 'weighted ice'          ! 'none' 'weighted ice' 'mixed oce-ice'
@@ -10,5 +10,5 @@
 cn_snd_crt_orient = 'eastward-northward'    ! 'eastward-northward' or 'local grid'
 cn_snd_crt_grid   = 'T'                     ! 'T'
-! RECEIVE
+                                       ! receive
 cn_rcv_w10m       = 'coupled'               ! 'none' 'coupled'
 cn_rcv_tau_nature = 'oce only'              ! 'oce only' 'oce and ice' 'mixed oce-ice'
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_cpl_co2
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_cpl_co2	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_cpl_co2	(revision 2282)
@@ -0,0 +1,6 @@
+!-----------------------------------------------------------------------
+&namsbc_cpl_co2   !   coupled ocean/biogeo/atmosphere model            ("key_cpl_carbon_cycle")
+!-----------------------------------------------------------------------
+cn_snd_co2        = 'coupled'         ! send    :  'none' 'coupled'
+cn_rcv_co2        = 'coupled'         ! receive : 'none' 'coupled'
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_flx
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_flx	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_flx	(revision 2282)
@@ -2,11 +2,11 @@
 &namsbc_flx    !   surface boundary condition : flux formulation
 !-----------------------------------------------------------------------
-!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or !
-!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  !
-   sn_utau      =      'utau.nc'     ,        24.        ,  'utau'  ,      .false.       ,    0   ,     0    , ''       , ''
-   sn_vtau      =      'vtau.nc'     ,        24.        ,  'vtau'  ,      .false.       ,    0   ,     0    , ''       , ''
-   sn_qtot      =      'qtot.nc'     ,        24.        ,  'qtot'  ,      .false.       ,    0   ,     0    , ''       , ''
-   sn_qsr       =      'qsr.nc'      ,        24.        ,  'qsr'   ,      .false.       ,    0   ,     0    , ''       , ''
-   sn_emp       =      'emp.nc'      ,        24.        ,  'emp'   ,      .false.       ,    0   ,     0    , ''       , ''
+!              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_utau     = 'utau'       ,        24.        ,    'utau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_vtau     = 'vtau'       ,        24.        ,    'vtau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_qtot     = 'qtot'       ,        24.        ,    'qtot'  ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_qsr      = 'qsr'        ,        24.        ,    'qsr'   ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_emp      = 'emp'        ,        24.        ,    'emp'   ,     .false.    , .false. , 'yearly'  , ''       , ''
 !
    cn_dir      = './'      !  root directory for the location of the flux files
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_rnf
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_rnf	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_rnf	(revision 2282)
@@ -2,13 +2,20 @@
 &namsbc_rnf    !   runoffs namelist surface boundary condition
 !-----------------------------------------------------------------------
-!               !   file name        ! frequency (hours) ! variable   ! time interpolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name     !     (logical)      !  (0/1) !  record  !
-   sn_rnf     = 'runoff_1m_nomask.nc' ,      -12.        ,  'sorunoff',      .true.        ,    1   ,    0     , ''       , ''
-   sn_cnf     = 'runoff_1m_nomask.nc' ,        0.        ,  'socoefr' ,      .false.       ,    1   ,    0     , ''       , ''
+!               !   file name        ! frequency (h)   ! variable   ! time interp. !  clim  ! starting !
+!               !                    ! (if <0  months) !   name     !  (logical)   !  (0/1) !  record  !
+   sn_rnf     = 'runoff_1m_nomask.nc',      -12.       , 'sorunoff' ,   .true.     ,    1   ,    0     , ''   , ''
+   sn_cnf     = 'runoff_1m_nomask.nc',        0.       , 'socoefr'  ,   .false.    ,    1   ,    0     , ''   , ''
+   sn_s_rnf   = 'runoffs'            ,  24             , 'rosaline' ,   .true.     , .true. ,  'yearly', ''   , ''
+   sn_t_rnf   = 'runoffs'            ,  24             , 'rotemper' ,   .true.     , .true. ,  'yearly', ''   , ''
+   sn_dep_rnf = 'runoffs'            ,   0             , 'rodepth'  ,   .false.    , .true. ,  'yearly', ''   , ''
 !
-   cn_dir       = './'       ! directory in which the model is executed
+   cn_dir       = './'      ! directory in which the model is executed
    ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
    ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
-   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_hrnf      =   15.e0   !  depth over which enhanced vertical mixing is used
    rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
+   rn_rfact     =   1.e0    !  multiplicative factor for runoff
+   ln_rnf_depth =  .false.  !  read in depth information for runoff
+   ln_rnf_temp  =  .false.  !  read in temperature information for runoff
+   ln_rnf_sal   =  .false.  !  read in salinity information for runoff
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_ssr
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_ssr	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc_ssr	(revision 2282)
@@ -2,13 +2,16 @@
 &namsbc_ssr    !   surface boundary condition : sea surface restoring
 !-----------------------------------------------------------------------
-!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  !
-   sn_sst       =  'sst_data.nc'     ,         24.       ,  'sst'     ,      .false.       ,    0   ,    0
-   sn_sss       =  'sss_data.nc'     ,        -12.       ,  'sss'     ,      .true.        ,    0   ,    0
-!   
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_sst      = 'sst_data'   ,        24.        ,  'sst'     ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_sss      = 'sss_data'   ,        -1.        ,  'sss'     ,     .true.     , .true.  , 'yearly'  , ''       , ''
+    
    cn_dir      = './'      !  root directory for the location of the runoff files
    nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
-   nn_sssr     =     1     !  add a damping     term in the surface freshwater flux (=1) or not (=0)
-   dqdt        =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
-   deds        =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
+   nn_sssr     =     2     !  add a damping     term in the surface freshwater flux (=2) 
+                           !  or to SSS only (=1) or no damping term (=0)
+   rn_dqdt     =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
+   rn_deds     =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
+   ln_sssr_bnd =   .true.  !  flag to bound erp term (associated with nn_sssr=2)
+   rn_sssr_bnd =   4.e0    !  ABS(Max/Min) value of the damping erp term [mm/day]
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsol
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsol	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsol	(revision 2282)
@@ -2,17 +2,12 @@
 &namsol        !   elliptic solver / island / free surface 
 !-----------------------------------------------------------------------
-   nsolv       =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
+   nn_solv     =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
                            !                   =2 successive-over-relaxation (sor)
-                           !                   =3 FETI (fet)                               ("key_feti")
-                           !                   =4 sor with extra outer halo
-   nsol_arp    =      0    !  absolute/relative (0/1) precision convergence test
-   nmin        =    300    !  minimum of iterations for the SOR solver
-   nmax        =    800    !  maximum of iterations for the SOR solver
-   nmod        =     10    !  frequency of test for the SOR solver
-   eps         =  1.e-6    !  absolute precision of the solver
-   resmax      =  1.e-10   !  absolute precision for the SOR solver
-   sor         =  1.92     !  optimal coefficient for SOR solver (to be adjusted with the domain)
-   epsisl      =  1.e-10   !  absolute precision on stream function solver
-   nmisl       =   4000    !  maximum pcg iterations for island                            ("key_islands")
-   rnu         =      1.   !  strength of the additional force used in filtered free surface
+   nn_sol_arp  =      0    !  absolute/relative (0/1) precision convergence test
+   rn_eps      =  1.e-6    !  absolute precision of the solver
+   nn_nmin     =    300    !  minimum of iterations for the SOR solver
+   nn_nmax     =    800    !  maximum of iterations for the SOR solver
+   nn_nmod     =     10    !  frequency of test for the SOR solver
+   rn_resmax   =  1.e-10   !  absolute precision for the SOR solver
+   rn_sor      =  1.92     !  optimal coefficient for SOR solver (to be adjusted with the domain)
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_adv
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_adv	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_adv	(revision 2282)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&namtra_adv    !   advection scheme for tracer 
+!-----------------------------------------------------------------------
+   ln_traadv_cen2   =  .false.  !  2nd order centered scheme   
+   ln_traadv_tvd    =  .true.   !  TVD scheme                
+   ln_traadv_muscl  =  .false.  !  MUSCL scheme             
+   ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
+   ln_traadv_ubs    =  .false.  !  UBS scheme                 
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_dmp
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_dmp	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_dmp	(revision 2282)
@@ -0,0 +1,14 @@
+!-----------------------------------------------------------------------
+&namtra_dmp    !   tracer: T & S newtonian damping                      ('key_tradmp')
+!-----------------------------------------------------------------------
+   nn_hdmp     =   -1      !  horizontal shape =-1, damping in Med and Red Seas only
+                           !                   =XX, damping poleward of XX degrees (XX>0)
+                           !                      + F(distance-to-coast) + Red and Med Seas
+   nn_zdmp     =    1      !  vertical   shape =0    damping throughout the water column
+                           !                   =1 no damping in the mixing layer (kz  criteria)
+                           !                   =2 no damping in the mixed  layer (rho crieria)
+   rn_surf     =   50.     !  surface time scale of damping   [days]
+   rn_bot      =  360.     !  bottom  time scale of damping   [days]
+   rn_dep      =  800.     !  depth of transition between rn_surf and rn_bot [meters]
+   nn_file     =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_ldf
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_ldf	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_ldf	(revision 2282)
@@ -0,0 +1,15 @@
+!-----------------------------------------------------------------------
+&namtra_ldf    !   lateral diffusion scheme for tracer 
+!-----------------------------------------------------------------------
+                           !  Type of the operator : 
+   ln_traldf_lap    =  .true.   !     laplacian operator       
+   ln_traldf_bilap  =  .false.  !     bilaplacian operator     
+                           !  Direction of action  :
+   ln_traldf_level  =  .false.  !     iso-level                
+   ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+                           !  Coefficient
+   rn_aht_0         =  2000.    !     horizontal eddy diffusivity for tracers [m2/s]
+   rn_ahtb_0        =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
+   rn_aeiv_0        =  2000.    !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_qsr
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_qsr	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtra_qsr	(revision 2282)
@@ -0,0 +1,18 @@
+!-----------------------------------------------------------------------
+&namtra_qsr    !   penetrative solar radiation
+!-----------------------------------------------------------------------
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_chl      = 'chlorophyll',        -1.        , 'CHLA'     ,    .true.      , .true.  , 'yearly'  , ''       , ''
+ 
+   cn_dir      = './'      !  root directory for the location of the runoff files
+   ln_traqsr   = .true.    !  Light penetration (T) or not (F)
+   ln_qsr_rgb  = .true.    !  RGB (Red-Green-Blue) light penetration
+   ln_qsr_2bd  = .false.   !  2 bands              light penetration
+   ln_qsr_bio  = .false.   !  bio-model light penetration
+   nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
+   rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
+   rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
+   rn_si1      =   23.0    !  2 bands: longest depth of extinction
+   rn_si2      =   62.0    !  3 bands: longest depth of extinction (for blue waveband & 0.01 mg/m2 Chl)
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtrd
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtrd	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namtrd	(revision 2282)
@@ -1,11 +1,12 @@
 !-----------------------------------------------------------------------
-&namtrd       !   diagnostics on dynamics and/or tracer trends             ("key_trddyn" and/or "key_trdtra")
-!                          or mixed-layer trends                        ('key_trdmld')
-!                          or barotropic vorticity                      ("key_trdvor")
+&namtrd        !   diagnostics on dynamics and/or tracer trends         ("key_trddyn" and/or "key_trdtra")
+!              !       or mixed-layer trends or barotropic vorticity    ('key_trdmld' or  "key_trdvor")
 !-----------------------------------------------------------------------
-   ntrd       = 365        !  time step frequency dynamics and tracers trends
-   nctls      =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
-   ucf        =   1.       !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
-   ln_trdmld_restart = .false.  !  restart for ML diagnostics
-   ln_trdmld_instant = .false.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+   nn_trd      = 365       !  time step frequency dynamics and tracers trends
+   nn_ctls     =   0       !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   rn_ucf      =   1.      !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   cn_trdrst_in      = "restart_mld"   ! suffix of ocean restart name (input)
+   cn_trdrst_out     = "restart_mld"   ! suffix of ocean restart name (output)
+   ln_trdmld_restart = .false.         !  restart for ML diagnostics
+   ln_trdmld_instant = .false.         !  flag to diagnose trends of instantantaneous or mean ML T/S
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf	(revision 2282)
@@ -2,11 +2,15 @@
 &namzdf        !   vertical physics
 !-----------------------------------------------------------------------
-   avm0        =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
-   avt0        =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
-   ln_zdfnpc   = .false.   !  convection: Non-Penetrative algorithm (T) or not (F)
-   ln_zdfevd   = .true.    !  convection: enhanced vertical diffusion (T) or not (F)    
-   avevd       = 100.      !  vertical coefficient for enhanced diffusion scheme [m2/s]
-   n_evdm      =   1       !  enhanced mixing apply on tracer (=0) or on tracer and momentum (=1)
-   ln_zdfexp   =  .false.  !  split explicit (T) or implicit (F) time stepping
-   n_zdfexp    =   3       !  number of sub-timestep for ln_zdfexp=T
+   rn_avm0     =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
+   rn_avt0     =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
+   nn_avb      =    0      !  profile for background avt & avm (=1) or not (=0)
+   nn_havtb    =    0      !  horizontal shape for avtb (=1) or not (=0)
+   ln_zdfevd   = .true.    !  enhanced vertical diffusion (evd) (T) or not (F)
+   nn_evdm     =    0      !  evd apply on tracer (=0) or on tracer and momentum (=1)
+   rn_avevd    =  100.     !  evd mixing coefficient [m2/s]
+   ln_zdfnpc   = .false.   !  Non-Penetrative algorithm (T) or not (F)
+   nn_npc      =    1            !  frequency of application of npc
+   nn_npcp     =  365            !  npc control print frequency
+   ln_zdfexp   = .false.   !  time-stepping: split-explicit (T) or implicit (F) time stepping
+   nn_zdfexp   =    3            !  number of sub-timestep for ln_zdfexp=T
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf_ddm
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf_ddm	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf_ddm	(revision 2282)
@@ -0,0 +1,6 @@
+!-----------------------------------------------------------------------
+&namzdf_ddm    !   double diffusive mixing parameterization             ("key_zdfddm")
+!-----------------------------------------------------------------------
+   rn_avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
+   rn_hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf_kpp
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf_kpp	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf_kpp	(revision 2282)
@@ -0,0 +1,13 @@
+!------------------------------------------------------------------------
+&namzdf_kpp    !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
+!------------------------------------------------------------------------ "key_kppcustom" or "key_kpplktb")
+   ln_kpprimix = .true.    !  shear instability mixing 
+   rn_difmiw   =  1.0e-04  !  constant internal wave viscosity [m2/s]
+   rn_difsiw   =  0.1e-04  !  constant internal wave diffusivity [m2/s]
+   rn_riinfty  =  0.8      !  local Richardson Number limit for shear instability
+   rn_difri    =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
+   rn_bvsqcon  = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
+   rn_difcon   =  1.       !  maximum mixing in interior convection [m2/s] 
+   nn_avb      =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
+   nn_ave      =  1        !  constant (=0) or profile (=1) background on avt
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf_ric
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf_ric	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namzdf_ric	(revision 2282)
@@ -0,0 +1,7 @@
+!-----------------------------------------------------------------------
+&namzdf_ric    !   richardson number dependent vertical diffusion       ("key_zdfric" )
+!-----------------------------------------------------------------------
+   rn_avmri    = 100.e-4   !  maximum value of the vertical viscosity
+   rn_alp      =   5.      !  coefficient of the parameterization
+   nn_ric      =   2       !  coefficient of the parameterization
+/
